org.apache.felix.scrplugin.annotations

## Class ScannedClass

- java.lang.Object
- - org.apache.felix.scrplugin.annotations.ScannedClass

    public class ScannedClass
    extends Object

A scanned class contains all scanned information like the found annotations.

### Constructor Summary

Constructors
Constructor and Description
`ScannedClass(List<ScannedAnnotation> desc, Class<?> scannedClass)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`List<ClassAnnotation>` `getClassAnnotations(String name)` Get all class annotations
`List<FieldAnnotation>` `getFieldAnnotations(String name)` Get all field annotations
`List<MethodAnnotation>` `getMethodAnnotations(String name)` Get all method annotations
`Class<?>` `getScannedClass()` Get the scanned class.
`void` `processed(Collection<? extends ScannedAnnotation> desc)` Mark several annotations as processed.
`void` `processed(ScannedAnnotation desc)` Mark an annotation as processed.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScannedClass

    public ScannedClass(List<ScannedAnnotation> desc,
                        Class<?> scannedClass)

Constructor

Parameters:
  `desc` - List of found annotations.
  `scannedClass` - The scanned class.

### Method Detail

#### getScannedClass

    public Class<?> getScannedClass()

Get the scanned class.

Returns:
  The scanned class.

#### processed

    public void processed(ScannedAnnotation desc)

Mark an annotation as processed. A processed annotation will be removed from the list of annotations.

Parameters:
  `desc` - The annotation.

#### processed

    public void processed(Collection<? extends ScannedAnnotation> desc)

Mark several annotations as processed. A processed annotation will be removed from the list of annotations.

Parameters:
  `desc` - The annotation.

#### getClassAnnotations

    public List<ClassAnnotation> getClassAnnotations(String name)

Get all class annotations

Parameters:
  `name` - The name of the class annotation or `null` for all class annotations.
Returns:
  A list of matching annotations or an empty list.

#### getFieldAnnotations

    public List<FieldAnnotation> getFieldAnnotations(String name)

Get all field annotations

Parameters:
  `name` - The name of the field annotation or `null` for all field annotations.
Returns:
  A list of matching annotations or an empty list.

#### getMethodAnnotations

    public List<MethodAnnotation> getMethodAnnotations(String name)

Get all method annotations

Parameters:
  `name` - The name of the method annotation or `null` for all method annotations.
Returns:
  A list of matching annotations or an empty list.